Apache JMeter

## org.apache.jmeter.testelement
Class BarChart

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.testelement.AbstractChart
              org.apache.jmeter.testelement.BarChart

All Implemented Interfaces:
  Serializable, Cloneable, ReportChart, TestElement

    public class BarChart

extends AbstractChart

The class is reponsible for returning

See Also:
  Serialized Form

Field Summary
`static String` `REPORT_BAR_CHART_URL`

Fields inherited from class org.apache.jmeter.testelement.AbstractChart
`DEFAULT_HEIGHT, DEFAULT_WIDTH, image, REPORT_CHART_CAPTION, REPORT_CHART_HEIGHT, REPORT_CHART_TITLE, REPORT_CHART_WIDTH, REPORT_CHART_X_AXIS, REPORT_CHART_X_LABEL, REPORT_CHART_Y_AXIS, REPORT_CHART_Y_LABEL, X_DATA_DATE_LABEL, X_DATA_FILENAME_LABEL, X_LABELS`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`BarChart()`

Method Summary
`double[][]` `convertToDouble(List<SamplingStatCalculator> data)` Convert the data from SamplingStatCalculator to double array of array
`String` `getURL()`
`JComponent` `renderChart(List<DataSet> data)` Subclasses will need to implement the method by doing the following: 1. get the x and y axis 2. filter the table data 3. pass the data to the chart library 4. return the generated chart
`JComponent` `renderGraphics(double[][] data, String[] xAxisLabels)`
`void` `setURL(String url)`

Methods inherited from class org.apache.jmeter.testelement.AbstractChart
`getBufferedImage, getCaption, getFormattedXAxis, getHeight, getTitle, getValue, getWidth, getXAxis, getXLabel, getYAxis, getYLabel, setBufferedImage, setCaption, setHeight, setTitle, setWidth, setXAxis, setXLabel, setYAxis, setYLabel`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REPORT_BAR_CHART_URL

    public static final String REPORT_BAR_CHART_URL

See Also:
  Constant Field Values

Constructor Detail

### BarChart

    public BarChart()

Method Detail

### getURL

    public String getURL()

### setURL

    public void setURL(String url)

### convertToDouble

    public double[][] convertToDouble(List<SamplingStatCalculator> data)

  Convert the data from SamplingStatCalculator to double array of array

  Parameters:
    `data` -
  Returns:
    data values

### renderChart

    public JComponent renderChart(List<DataSet> data)

  Description copied from class: `AbstractChart`
  Subclasses will need to implement the method by doing the following: 1. get the x and y axis 2. filter the table data 3. pass the data to the chart library 4. return the generated chart

  Specified by:
    `renderChart` in interface `ReportChart`
  Specified by:
    `renderChart` in class `AbstractChart`
  Parameters:
    `data` - list of DataSet
  Returns:
    the component

### renderGraphics

    public JComponent renderGraphics(double[][] data,
                                     String[] xAxisLabels)

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.